Bug 3750 - Allow for setting the location where the persistence files are stored
: Allow for setting the location where the persistence files are stored
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: 4.0.1
: PC Windows XP
: P3 enhancement
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-09-14 15:58 by
Modified: 2005-10-05 16:29 (History)


Attachments
The FilePersistenceHelper patch (1.85 KB, patch)
2005-10-05 16:19, Jarek Gawor
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-14 15:58:00
Right now the location where the persistence files are stored is hard-coded. 
Please make if configurable.
------- Comment #1 From 2005-09-14 16:17:20 -------
I committed updates to trunk and globus_4_0_branch. The persistence directory 
can be set via Java system property 
named 'org.globus.wsrf.container.persistence.dir'. For example, this can be set 
via GLOBUS_OPTIONS environment variable:
setenv GLOBUS_OPTIONS "-
Dorg.globus.wsrf.container.persistence.dir=/use/this/path"
------- Comment #2 From 2005-10-04 22:18:49 -------
Is it possible to get a patch with your change? I would like to ship a patched
Globus 4.0.1 in the VDT with this patch if possible. Perhaps your patch relies
on too much new stuff added after the 4.0.1 release, in which case I'll just
wait. Can you give me an idea if this is possible or not?

Thanks,
-alain
------- Comment #3 From 2005-10-05 10:57:07 -------
The patch should be possible. Here are the changes: 

http://bonsai.globus.org/cvsquery.cgi?
treeid=default&module=all&branch=globus_4_0_branch&branchtype=match&dir=&file=&f
iletype=match&who=gawor&whotype=match&sortby=Date&hours=2&date=explicit&mindate=
9%2F14%2F05&maxdate=9%2F15%2F05&cvsroot=%2Fhome%2Fglobdev%2FCVS%2Fglobus-
packages
------- Comment #4 From 2005-10-05 11:12:02 -------
I can't figure out how to get Bonsai to give me a patch file. Am I missing
something simple?
------- Comment #5 From 2005-10-05 16:18:17 -------
Running the following should give you the patch:

cvs diff -uw -rglobus_4_0_1 -rglobus_4_0_branch \
wsrf/java/core/source/src/org/globus/wsrf/utils/FilePersistenceHelper.java

------- Comment #6 From 2005-10-05 16:19:09 -------
Created an attachment (id=711) [details]
The FilePersistenceHelper patch
------- Comment #7 From 2005-10-05 16:29:29 -------
Excellent, thanks!